import java.awt.*;

public class Peg extends ScorePad
{
   private int state = 1;
	
   public Peg( int x, int y, int v )
   {
      super( x, y, v );
      setColor (Color.green);
   }

   public void paint( Graphics g )
   {
      if ( state == 2 )
      {
         setColor( Color.red );
         g.drawOval( region().x-3, region().y-3,
                     region().width+6, region().height+6 );
         state = 1;
      }
      else
      {
         setColor( Color.green );
         g.drawOval( region().x-2, region().y-2,
                     region().width+4, region().height+4 );
      }
      super.paint(g);
   }
	
   public void hitBy( PinBall aBall )
   {
      super.hitBy( aBall );
      aBall.setMotion( -aBall.yMotion(), -aBall.xMotion() );
      while ( intersects( aBall ) )
            aBall.move();
      state = 2;
   }
}
